# uproot.source.chunk.notifier

Defined in uproot.source.chunk on line 500.

uproot.source.chunk.notifier(chunk: Chunk, notifications: Queue)

  Returns a function that puts the chunk on the notifications queue when called. The function has a ‘future’ argument to be compatible with the concurrent.futures.Future.add_done_callback method.

  Parameters:

    - chunk (uproot.source.chunk.Chunk) – The chunk to put on the queue.

    - notifications (`queue.Queue`) – The notifications queue.